<template>
  <span class="flex-grow-1 px-3 py-1">
    <svg width="80%" height="80%" viewBox="0 0 10 10" xmlns="http://www.w3.org/2000/svg">
      <g :transform="transform">
        <path d="M 1 3 L 8 5 L 1 8 z" fill="black" stroke="black" stroke-width="1" />
      </g>
    </svg>
  </span>
</template>

<script>
import moment from 'moment'
import WorkspaceGetter from '@/workspace/mixins/WorkspaceGetter'

export default {
  name: 'tablewinddirdataitem',

  mixins: [
    WorkspaceGetter,
  ],

  props: {
    date: {
      type: Number,
      required: true,
    },

    hour: {
      type: Number,
      required: true,
    },
  },

  computed: {
    query: {
      get() {
        return this.$store.getters.workspaceQuery(this.workspaceId)
      }
    },

    time: {
      get() {
        return moment.unix(this.date).add(this.hour, 'hours').format('YYYY-MM-DDTHH:00:00+00:00')
      }
    },

    value: {
      get() {
        //let x = this.query.data['ecmwf.wind_u.atlantic'][this.time]['surface']
        //let y = this.query.data['ecmwf.wind_v.atlantic'][this.time]['surface']
        //return Math.atan2(y, x) * 57.29577
        return this.query.data['ecmwf.wind_direction.atlantic'][this.time]['surface'] * 57.29577
      }
    },

    transform: {
      get() {
        return 'rotate(' + this.value + ', 5, 5)'
      }
    },
  },

  mounted () {
    window.console.log(this.query.data)
  }
}
</script>
